use strict;

package renrot_dir;

###################################################
# Usage      : $a = new renrot_dir;
# Purpose    : allocator and initializer
# Returns    : initialized class
# Parameters : none
# Throws     : no exceptions
# Comments   : none
# See Also   : n/a
sub new {
  my ($pkg, $dir, $ext) = @_;
  my @files = ();
  return (bless {dir => $dir,
		 ext => $ext,
		 files => \@files}, $pkg);
}

###################################################
# Usage      : none
# Purpose    : destructor
# Returns    : none
# Parameters : none
# Throws     : no exceptions
# Comments   : none
# See Also   : n/a
sub DESTROY {
  my $obj = shift;
  #print "\$obj->{", $obj->{dir}, "} has been destroied.\n";
}

###################################################
# Usage      : $obj->filename($base, $ext)
# Purpose    : full file name compilator: base . ext = baseext
# Returns    : ful filename
# Parameters : 1. basename; 2. extention of ".ext" format
# Throws     : no exceptions
# Comments   : none
# See Also   : n/a
sub file_name {
  my ($obj, $base, $ext) = @_;
  return $obj->{filename} = $base . $ext;
}

1;
